> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/order-book.md).

# Order Book

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/OrderBook`

\
**QUERY PARAMETERS**

| Request Parameter | Description | Mandatory |
| ----------------- | ----------- | --------- |
| broker            | Broker Code | Yes       |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/OrderBook
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
 "broker":"tc"
}
}
```

{% endcode %}

{% code title="Response example :" %}

```
{
 "status": "success",
 "data": [
     {
     "exchange": "NSE",
     "token": "11915",
     "symbol": "YESBANK-EQ",
     "product": "CNC",
     "pricetype": "MARKET",
     "Ret": "DAY",
     "price": 0,
     "trigger_price": 0,
     "quantity": 1,
     "disclosed_quantity": 0,
     "action": "BUY",
     "avgprc": 13.95,
     "fillshares": 1,
     "remarks": "ARROW",
     "exchordid": "1300000016630228",
     "parentorderid": "",
     "order_id": "220113000041330",
     "orderentrytime": "Jan 13 2022 13:24:00",
     "exchconfrmtime": "13-Jan-2022 13:24:00",
     "status": "complete",
     "ordvaldate": "",
     "rejreason": "",
     "broker_exchange": "NSE",
     "broker_token": "14366",
     "tick_size": 0.05,
     "lot_size": 1,
     "ws_msg": {
         "exchange": "NSE",
         "token": "14366"
     }
 }
]
}
```

{% endcode %}
